summaryrefslogtreecommitdiffstats
path: root/tests/t-triggers-configure/pkg-interest-1/DEBIAN/postinst
diff options
context:
space:
mode:
Diffstat (limited to 'tests/t-triggers-configure/pkg-interest-1/DEBIAN/postinst')
-rwxr-xr-xtests/t-triggers-configure/pkg-interest-1/DEBIAN/postinst15
1 files changed, 15 insertions, 0 deletions
diff --git a/tests/t-triggers-configure/pkg-interest-1/DEBIAN/postinst b/tests/t-triggers-configure/pkg-interest-1/DEBIAN/postinst
new file mode 100755
index 0000000..69ad9b5
--- /dev/null
+++ b/tests/t-triggers-configure/pkg-interest-1/DEBIAN/postinst
@@ -0,0 +1,15 @@
+#!/bin/sh
+set -e
+
+case "$1" in
+ configure)
+ if [ -z "$2" ]; then
+ echo "FAIL: upgrading and no previous version passed to configure" 2>&1
+ exit 1
+ else
+ echo "PASS: upgrading from version '$2'"
+ fi
+ ;;
+esac
+
+exit 0